al_utf8_width(3)

NAME

al_utf8_width - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    size_t al_utf8_width(int32_t c)

DESCRIPTION

Returns the number of bytes that would be occupied by the specified code point when encoded in UTF-8. This is between 1 and 4 bytes for legal code point values. Otherwise returns 0.

SEE ALSO

al_utf8_encode(3), al_utf16_width(3)